//---------------------------------------------------------------------------

#include <vcl.h>
#pragma hdrstop

#include <EditChar.hpp>
#include <Chart.hpp>


#include "Unit1.h"
//---------------------------------------------------------------------------

#pragma comment (lib, "Tee926.bpi")
#pragma comment (lib, "TeePro926.bpi")
#pragma comment (lib, "TeeUi926.bpi")

#pragma package(smart_init)
#pragma resource "*.dfm"
TForm6 *Form6;
//---------------------------------------------------------------------------
__fastcall TForm6::TForm6(TComponent* Owner)
    : TForm(Owner)
{
}

//---------------------------------------------------------------------------

void TForm6::ClearChart()
{
    Chart1->RemoveAllSeries();
    Chart1->CustomAxes->Clear();
}



THighLowSeries* TForm6::AddSeries()
{
    THighLowSeries* highLowSeries = new THighLowSeries(Chart1);

    TColor seriesColor = clRed;

    highLowSeries->SeriesColor = seriesColor;
    highLowSeries->HighBrush->Style = bsSolid;
    highLowSeries->HighBrush->Color = seriesColor;
    highLowSeries->HighPen->Color = clBlue;
    highLowSeries->LowBrush->Style = bsSolid;
    highLowSeries->LowBrush->Color = seriesColor;
    highLowSeries->LowPen->Color = clBlue;

    highLowSeries->AddHighLow(1, 0.0, 0.0,	"", clTeeColor);
    highLowSeries->AddHighLow(2, 0.5, 0.2,	"", clTeeColor);
    highLowSeries->AddHighLow(3, 0.9, 0.2,	"", clTeeColor);
    highLowSeries->AddHighLow(4, 0.5, 0.0,	"", clTeeColor);
    highLowSeries->AddHighLow(5, 0.5, 0.0,	"", clTeeColor);
    highLowSeries->AddHighLow(6, 0.5, 0.2,	"", clTeeColor);
    highLowSeries->AddHighLow(7, 0.9, 0.2,	"", clTeeColor);
    highLowSeries->AddHighLow(8, 0.9, 0.0,	"", clTeeColor);
    highLowSeries->AddHighLow(9, 0.9, 0.0,	"", clTeeColor);

    Chart1->AddSeries(highLowSeries);

    return highLowSeries;
}

//---------------------------------------------------------------------------

void __fastcall TForm6::ButtonZeroTwoClick(TObject *Sender)
{
    ClearChart();
    AddSeries();

    Chart1->LeftAxis->SetMinMax(0, 2);
}

//---------------------------------------------------------------------------

void __fastcall TForm6::ButtonZeroTenClick(TObject *Sender)
{
    ClearChart();
    AddSeries();

    Chart1->LeftAxis->SetMinMax(0, 10);
}

//---------------------------------------------------------------------------

void __fastcall TForm6::ButtonCustomClick(TObject *Sender)
{
    ClearChart();
    THighLowSeries* highLowSeries = AddSeries();

    TChartAxis* customAxis = Chart1->CustomAxes->Add();
    customAxis->SetMinMax(0, 1);

    highLowSeries->CustomVertAxis = customAxis;
}

//---------------------------------------------------------------------------

